%define upstream_name    accessors
%define upstream_version 1.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Create accessor methods in caller's package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/accessors
Source0:    https://cpan.metacpan.org/authors/id/S/SP/SPURKIS/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch
BuildRequires: perl(Module::Build) >= 0.200.0
BuildRequires: perl(Test::More) >= 0.10.0
BuildRequires: perl >= 1:5.6.0
Provides:   perl(accessors)

%description
The accessors pragma lets you create simple accessors at compile-time.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# A few of the .pm modules have bogus execute permission
find $RPM_BUILD_ROOT%{perl_vendorlib} -name *.pm | xargs chmod a-x

%check
./Build test

%files
%doc Changes INSTALL META.yml MYMETA.yml README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.10.0-13.mga9
+ Revision: 1810666
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-12.mga8
+ Revision: 1507084
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.10.0-11.mga7
+ Revision: 1287480
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.10.0-10.mga7
+ Revision: 1162746
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 1.10.0-9.mga6
+ Revision: 1022174
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 1.10.0-8.mga6
+ Revision: 932259
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-7.mga5
+ Revision: 744379
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-6.mga5
+ Revision: 687002
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-5.mga4
+ Revision: 522812
- Mageia 4 Mass Rebuild

* Thu Mar 28 2013 jquelin <jquelin> 1.10.0-4.mga3
+ Revision: 405961
- add missing provides

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-3.mga3
+ Revision: 375337
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 jquelin <jquelin> 1.10.0-2.mga3
+ Revision: 254287
- rebuild to auto-extract provides

* Tue Mar 15 2011 saispo <saispo> 1.01-2.mga1
+ Revision: 72103
- Fix Requires

* Tue Mar 15 2011 saispo <saispo> 1.01-1.mga1
+ Revision: 72075
- Fix build with removing fixperms
- imported package perl-accessors

